Omniplex Docs
PopplioProduction

Payments

These API endpoints are related to payments on IBL

GET
/payments/paypal

Get Paypal

Gets the required info needed for paypal payments.

/payments/paypal
curl -X GET "https://spider.omniplex.gg/payments/paypal"

Success

{
  "paypal_client_id": "string"
}

POST
/users/{id}/paypal

Create Paypal Order

Creates a paypal order returning the URL. Use this to initiate a new paypal order in your client.

/users/{id}/paypal

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Request Body

application/jsonRequired

forstring

idstring

namestring

Path Parameters

id
Required
string

User ID

curl -X POST "https://spider.omniplex.gg/users/string/paypal" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "for": "string",
    "id": "string",
    "name": "string"
  }'

Success

{
  "url": "string"
}

GET
/payments/paypal/capture/{ref_id}

Capture Paypal Order

Captures a paypal order, giving any needed perks. This is an internal endpoint.

/payments/paypal/capture/{ref_id}

Path Parameters

ref_id
Required
string

The reference ID of the order returned during paypals redirect back to us

curl -X GET "https://spider.omniplex.gg/payments/paypal/capture/string"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/payments/stripe

Get Stripe

Gets the required info needed for stripe payments.

/payments/stripe
curl -X GET "https://spider.omniplex.gg/payments/stripe"

Success

{
  "stripe_public_key": "string"
}

POST
/users/{id}/stripe

Create Stripe Checkout

Creates a stripe checkout session returning the URL. Use this to initiate a new stripe order in your client.

/users/{id}/stripe

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Request Body

application/jsonRequired

forstring

idstring

namestring

Path Parameters

id
Required
string

User ID

curl -X POST "https://spider.omniplex.gg/users/string/stripe" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "for": "string",
    "id": "string",
    "name": "string"
  }'

Success

{
  "url": "string"
}

POST
/payments/stripe/webhook

Handle Stripe Webhook

Handles stripe payment webhooks. Not intended for public use and firewalled to only stripe IPs.

/payments/stripe/webhook
curl -X POST "https://spider.omniplex.gg/payments/stripe/webhook"

Success

{
  "context": {
    "property1": "string",
    "property2": "string"
  },
  "message": "string"
}

GET
/payments/premium/plans

Get Premium Plans

Gets the current set of premium plans available.

/payments/premium/plans
curl -X GET "https://spider.omniplex.gg/payments/premium/plans"

Success

{
  "plans": [
    {
      "benefit": "string",
      "id": "string",
      "name": "string",
      "price": 0.1,
      "time_period": 0
    }
  ]
}

POST
/users/{id}/redeem-payment-offer

Redeem Payment Offer

Redeems a payment offer for a user given a redeem code

/users/{id}/redeem-payment-offer

The Authorization access token

Authorization

User-Auth<token>

Requires a user token. Should be prefixed with User in Authorization header.

In: header

Request Body

application/jsonRequired

forstring

idstring

namestring

Path Parameters

id
Required
string

User ID

Query Parameters

code
Required
string

Redeem Code. Default codes: BOOSTPREMIUM -> special booster offer

curl -X POST "https://spider.omniplex.gg/users/string/redeem-payment-offer?code=string" \
  -H "User-Auth: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "for": "string",
    "id": "string",
    "name": "string"
  }'

Success

{
  "url": "string"
}